import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { createRoot } from 'react-dom/client';
import { JupyterLabTheme } from '../jupyter/lab/JupyterLabTheme';
import JupyterLabApp from '../components/jupyterlab/JupyterLabApp';
import * as lightThemePlugins from '@jupyterlab/theme-light-extension';
import * as ipywidgetsPlugins from '@jupyter-widgets/jupyterlab-manager';
import * as plotlyPlugins from 'jupyterlab-plotly/lib/jupyterlab-plugin';
import * as reactPlugins from './../jupyter/lab/index';
import * as plotlyMimeRenderers from 'jupyterlab-plotly/lib/plotly-renderer';
const JupyterLabAppExample = () => {
    const onJupyterLab = async (jupyterLabAdapter) => {
        const jupyterLab = jupyterLabAdapter.jupyterLab;
        console.log('JupyterLab is ready', jupyterLab);
    };
    return (_jsx(JupyterLabApp, { serverless: true, plugins: [
            lightThemePlugins,
            ipywidgetsPlugins,
            plotlyPlugins,
            reactPlugins,
        ], mimeRenderers: [plotlyMimeRenderers], height: "calc(100vh - 74px)", onJupyterLab: onJupyterLab }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsxs(JupyterLabTheme, { children: [_jsx("h1", { children: "JupyterLab Serverless Application" }), _jsx(JupyterLabAppExample, {})] }));
//# sourceMappingURL=JupyterLabServerlessApp.js.map