/*
 * Copyright (c) 2021-2024 Datalayer, Inc.
 *
 * Datalayer License
 */
import { ServerConnection } from '@jupyterlab/services';
import { Signal } from '@lumino/signaling';
export class TerminalManagerMock {
    runningChanged = new Signal(this);
    connectionFailure = new Signal(this);
    isReady = true;
    ready = Promise.resolve(void 0);
    serverSettings;
    isActive = false;
    disposed = new Signal(this);
    isDisposed = false;
    constructor(serverSettings) {
        this.serverSettings = serverSettings;
    }
    isAvailable() {
        throw new Error('Method not implemented.');
    }
    running() {
        throw new Error('Method not implemented.');
    }
    startNew(options) {
        throw new Error('Method not implemented.');
    }
    connectTo(options) {
        throw new Error('Method not implemented.');
    }
    shutdown(name) {
        throw new Error('Method not implemented.');
    }
    shutdownAll() {
        throw new Error('Method not implemented.');
    }
    refreshRunning() {
        throw new Error('Method not implemented.');
    }
    dispose() {
        throw new Error('Method not implemented.');
    }
}
export class ContentsManagerMock {
    fileChanged = new Signal(this);
    isDisposed = false;
    serverSettings;
    constructor(serverSettings) {
        this.serverSettings = serverSettings;
    }
    addDrive(drive) {
        throw new Error('Method not implemented.');
    }
    localPath(path) {
        throw new Error('Method not implemented.');
    }
    normalize(path) {
        throw new Error('Method not implemented.');
    }
    resolvePath(root, path) {
        throw new Error('Method not implemented.');
    }
    driveName(path) {
        throw new Error('Method not implemented.');
    }
    getSharedModelFactory(path) {
        throw new Error('Method not implemented.');
    }
    get(path, options) {
        throw new Error('Method not implemented.');
    }
    getDownloadUrl(path) {
        throw new Error('Method not implemented.');
    }
    newUntitled(options) {
        throw new Error('Method not implemented.');
    }
    delete(path) {
        throw new Error('Method not implemented.');
    }
    rename(path, newPath) {
        throw new Error('Method not implemented.');
    }
    save(path, options) {
        throw new Error('Method not implemented.');
    }
    copy(path, toDir) {
        throw new Error('Method not implemented.');
    }
    createCheckpoint(path) {
        throw new Error('Method not implemented.');
    }
    listCheckpoints(path) {
        throw new Error('Method not implemented.');
    }
    restoreCheckpoint(path, checkpointID) {
        throw new Error('Method not implemented.');
    }
    deleteCheckpoint(path, checkpointID) {
        throw new Error('Method not implemented.');
    }
    dispose() {
        throw new Error('Method not implemented.');
    }
}
export class KernelsManagerMock {
    runningChanged = new Signal(this);
    connectionFailure = new Signal(this);
    isReady = true;
    ready = Promise.resolve(void 0);
    serverSettings;
    isActive = false;
    disposed = new Signal(this);
    isDisposed = false;
    constructor(serverSettings) {
        this.serverSettings = serverSettings;
    }
    running() {
        throw new Error('Method not implemented.');
    }
    refreshRunning() {
        throw new Error('Method not implemented.');
    }
    startNew(createOptions, connectOptions) {
        throw new Error('Method not implemented.');
    }
    findById(id) {
        throw new Error('Method not implemented.');
    }
    connectTo(options) {
        throw new Error('Method not implemented.');
    }
    shutdown(id) {
        throw new Error('Method not implemented.');
    }
    shutdownAll() {
        throw new Error('Method not implemented.');
    }
    dispose() {
        throw new Error('Method not implemented.');
    }
}
export class KernelspecManagerMock {
    specsChanged = new Signal(this);
    specs = null;
    connectionFailure = new Signal(this);
    serverSettings;
    isReady = true;
    ready = Promise.resolve(void 0);
    isActive = false;
    disposed = new Signal(this);
    isDisposed = false;
    constructor(serverSettings) {
        this.serverSettings = serverSettings;
    }
    refreshSpecs() {
        throw new Error('Method not implemented.');
    }
    dispose() {
        throw new Error('Method not implemented.');
    }
}
export class SessionManagerMock {
    runningChanged = new Signal(this);
    connectionFailure = new Signal(this);
    serverSettings;
    isReady = true;
    isDisposed = false;
    ready = Promise.resolve(void 0);
    constructor(serverSettings) {
        this.serverSettings = serverSettings;
    }
    running() {
        throw new Error('Method not implemented.');
    }
    startNew(createOptions, connectOptions) {
        throw new Error('Method not implemented.');
    }
    findById(id) {
        throw new Error('Method not implemented.');
    }
    findByPath(path) {
        throw new Error('Method not implemented.');
    }
    connectTo(options) {
        throw new Error('Method not implemented.');
    }
    shutdown(id) {
        throw new Error('Method not implemented.');
    }
    shutdownAll() {
        throw new Error('Method not implemented.');
    }
    refreshRunning() {
        throw new Error('Method not implemented.');
    }
    stopIfNeeded(path) {
        throw new Error('Method not implemented.');
    }
    dispose() {
        throw new Error('Method not implemented.');
    }
}
export class BuilderManagerMock {
    serverSettings;
    constructor(serverSettings) {
        this.serverSettings = serverSettings;
    }
    get isAvailable() {
        throw new Error('Method not implemented.');
    }
    get shouldCheck() {
        throw new Error('Method not implemented.');
    }
    getStatus() {
        throw new Error('Method not implemented.');
    }
    build() {
        throw new Error('Method not implemented.');
    }
    cancel() {
        throw new Error('Method not implemented.');
    }
}
export class SettingManagerMock {
    serverSettings;
    constructor(serverSettings) {
        this.serverSettings = serverSettings;
    }
    fetch(id) {
        throw new Error('Method not implemented.');
    }
    list(query) {
        throw new Error('Method not implemented.');
    }
    save(id, raw) {
        throw new Error('Method not implemented.');
    }
    remove(id) {
        throw new Error('Method not implemented.');
    }
}
export class UserManagerMock {
    userChanged = new Signal(this);
    identity = null;
    permissions = null;
    connectionFailure = new Signal(this);
    isReady = true;
    ready = Promise.resolve(void 0);
    isActive = false;
    disposed = new Signal(this);
    isDisposed = false;
    serverSettings;
    constructor(serverSettings) {
        this.serverSettings = serverSettings;
    }
    refreshUser() {
        throw new Error('Method not implemented.');
    }
    dispose() {
        throw new Error('Method not implemented.');
    }
}
export class EventsManagerMock {
    stream = null;
    isDisposed = false;
    serverSettings;
    constructor(serverSettings) {
        this.serverSettings = serverSettings;
    }
    emit(event) {
        throw new Error('Method not implemented.');
    }
    dispose() {
        throw new Error('Method not implemented.');
    }
}
export class WorkspaceManagerMock {
    serverSettings;
    constructor(serverSettings) {
        this.serverSettings = serverSettings;
    }
    fetch(id) {
        throw new Error('Method not implemented.');
    }
    list() {
        throw new Error('Method not implemented.');
    }
    remove(id) {
        throw new Error('Method not implemented.');
    }
    save(id, workspace) {
        throw new Error('Method not implemented.');
    }
}
export class NbConvertManagerMock {
    serverSettings;
    _requestingFormats = null;
    _exportFormats = null;
    constructor(serverSettings) {
        this.serverSettings = serverSettings;
    }
    fetchExportFormats() {
        throw new Error('Method not implemented.');
    }
    getExportFormats(force) {
        throw new Error('Method not implemented.');
    }
}
export class JupyterServiceManagerMock {
    isReady = true;
    ready = Promise.resolve(void 0);
    isDisposed = false;
    serverSettings;
    connectionFailure = new Signal(this);
    builder;
    contents;
    events;
    sessions;
    kernels;
    kernelspecs;
    settings;
    terminals;
    user;
    workspaces;
    nbconvert;
    constructor(serverSettings = ServerConnection.makeSettings()) {
        this.serverSettings = serverSettings;
        this.terminals = new TerminalManagerMock(serverSettings);
        this.builder = new BuilderManagerMock(serverSettings);
        this.contents = new ContentsManagerMock(serverSettings);
        this.events = new EventsManagerMock(serverSettings);
        this.sessions = new SessionManagerMock(serverSettings);
        this.kernels = new KernelsManagerMock(serverSettings);
        this.kernelspecs = new KernelspecManagerMock(serverSettings);
        this.settings = new SettingManagerMock(serverSettings);
        this.user = new UserManagerMock(serverSettings);
        this.workspaces = new WorkspaceManagerMock(serverSettings);
        this.nbconvert = new NbConvertManagerMock(serverSettings);
    }
    dispose() { }
}
export default JupyterServiceManagerMock;
//# sourceMappingURL=ServiceManagerMock.js.map